> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirming an Upload

Confirms the upload. See [Starting an Upload](/api-reference/sample-resource-upload-file) for more details on the full upload workflow.


## OpenAPI

````yaml POST /api/v1/samples/confirm_upload
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/samples/confirm_upload:
    post:
      summary: POST samples instances_confirm_upload
      operationId: post_samples_instances_confirm_upload
      requestBody:
        content:
          application/json:
            schema:
              properties:
                sample_id:
                  title: Sample Id
                  type: string
                upload_type:
                  const: standard
                  default: standard
                  title: Upload Type
                  type: string
              required:
                - sample_id
              title: SampleConfirmUploadSchema
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: A detailed success or failure message.
                    title: Message
                    type: string
                  sample:
                    description: A reference to the `$uri` of the uploaded sample.
                    properties:
                      __DOLLAR_REF__:
                        example: /api/v1/samples/a1b2c3d4e5f67890
                        format: uri
                        pattern: ^/api/v1/samples/[a-f0-9]{16}$
                        type: string
                    type: object
                  success:
                    description: Whether the upload was successful.
                    title: Success
                    type: boolean
                required:
                  - message
                  - sample
                  - success
                title: SampleConfirmUploadResponse
                type: object
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````